%define name	texinfo
%define version	4.11
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools needed to create Texinfo format documentation files
License:	GPL
Group:		Publishing
URL:		http://www.texinfo.org/
Source0:	ftp://ftp.gnu.org/pub/gnu/texinfo/%{name}-%{version}.tar.gz
Source1:	info-dir
Patch1:		texinfo-3.12h-fix.patch
Patch2:		texinfo-4.7.test.patch
Patch4:		texinfo-4.8-lzma-support.patch
Patch5:		texinfo-4.11-texi2dvi-test.patch
Patch107:	texinfo-4.7-vikeys-segfault-fix.patch
Requires:	texmf-data
# (anssi 01/2008) for make check:
BuildRequires:	tetex
BuildRequires:	tetex-latex

BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(pre):	info-install
Requires(preun):info-install

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.

%package -n	info
Summary:	A stand-alone TTY-based reader for GNU texinfo documentation
Group:		System/Base
Requires(pre):	info-install
Requires(preun):info-install

%description -n	info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a valuable
source of information about the software on your system.

%package -n	info-install
Summary:	Program to update the GNU texinfo documentation main page
Group:		System/Base
Requires:	bzip2 lzma
# explicit file provides
Provides:	/sbin/install-info

%description -n	info-install
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

%prep
%setup -q
%patch1 -p1
%patch2
%patch4 -p1 -b .lzma
%patch5 -p1 -b .test
%patch107 -p1

%build
%configure2_5x \
	--disable-rpath

%make 
rm -f util/install-info
%make -C util LIBS=%{_libdir}/libz.a

%check
# all tests must pass
make check

%install
rm -rf %{buildroot}

%makeinstall_std
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/info-dir
ln -s ../../..%{_sysconfdir}/info-dir %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}/sbin
mv %{buildroot}%{_bindir}/install-info %{buildroot}/sbin/install-info
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmconfig

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%post -n info
%_install_info info.info

%preun -n info
%_remove_install_info info.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS INSTALL INTRODUCTION NEWS README TODO
%doc --parents info/README
%{_bindir}/makeinfo
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_bindir}/texi2pdf
%{_bindir}/pdftexi2dvi
%{_infodir}/info-stnd.info*
%{_infodir}/texinfo*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*                         
%{_mandir}/man5/texinfo.5*   
%{_datadir}/texinfo

%files -n info
%defattr(-,root,root)
%{_bindir}/info
%{_infodir}/info.info*
%{_bindir}/infokey

%files -n info-install
%defattr(-,root,root)
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/info-dir
%{_infodir}/dir
/sbin/install-info
%{_mandir}/man1/info.1*
%{_mandir}/man1/infokey.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*


%changelog
* Sat Jan 19 2008 Anssi Hannula <anssi@mandriva.org> 4.11-2mdv2008.1
+ Revision: 155146
- buildrequires tetex-latex for make check
- buildrequires tetex for make check
- require virtual texmf-data instead of tetex

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Tue Nov 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.11-1mdv2008.1
+ Revision: 108472
- temporary disable checks (only failed in iurt)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.9-1mdv2008.0
+ Revision: 52026
- spec file clean
- disable rpath
- new version

* Wed Jul 11 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.8-10mdv2008.0
+ Revision: 51129
- add requires on lzma for info-install

* Wed Jul 11 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.8-9mdv2008.0
+ Revision: 51125
- increase buffer size to make lzma match actually work without false positives (P4)
- improve matching on old lzma format (P4)
- disable lzma patch for now due to fugly errors screwing up /etc/info-dir
- fix typo in lzma patch (P4) that broke it
- fix detection of future lzma format in P4

* Sat Jun 09 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.8-8mdv2008.0
+ Revision: 37736
- fix matching of new lzma format (thx Lasse Collins)
- fix lzma patch where matching against old(current) format was broken
- add support for new(future) lzma format

* Thu Jun 07 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.8-7mdv2008.0
+ Revision: 36874
- add lzma support (P4)
- move build check to %%check
- cleanups

* Mon Apr 30 2007 Pixel <pixel@mandriva.com> 4.8-6mdv2008.0
+ Revision: 19546
- explicit file provide /sbin/install-info


* Mon Nov 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 4.8-5mdv2007.0
+ Revision: 83619
- Import texinfo

* Mon Nov 13 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.8-5mdv2007.1
- patch 3: fix for security issue CVE-2006-4810

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.8-4mdv2007.0
- Rebuild

* Thu Jun 15 2006 David Walluck <walluck@mandriva.org> 4.8-3mdv2007.0
- Requires: tetex

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.8-2mdk
- fix prereq (#17420)

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.8-1mdk
- new release
- kill patch 109 (merged upstream)

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@zarb.org> 4.7-3mdk
- make test robust against environment locales
- spec cleanup

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.7-2mdk
- patch 109: fix macros support in texinfo so that groff documentation works

* Fri Jul 02 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.7-1mdk
- Release: 4.7.
- Rebuilt Patch107.

